% rechte Seite der Van der Pol DGL
f = @(t,y) [y(2); 8.*(1. - y(1)^2)*y(2) - y(1)];

% loese mit adaptivem Heun Verfahren
t0 = 0.;
T  = 30.;
y0 = [2; 0;];
h0 = 1.;
% atol = 1.e-6;
% rtol = 1.e-4;
% [t,y] = adaptHeun(f,t0,T,y0,h0,atol,rtol);

atol = 1.e-10;
rtol = 1.e-8;
[t,y] = RKF45(f,y0,t0,T,h0,atol,rtol);

% plot Loesung
figure(1);
clf;
plot(t,y(1,:),'b-');
xlabel('t');
ylabel('y(t)');
title('Van der Pol Oscillator');
% print('vanDerPol_y.eps','-depsc')

% plot Schrittweite
h = diff(t);
figure(2);
clf;
semilogy(t(2:end),h,'b+');
xlabel('t');
ylabel('h');
title('Schrittweite');
% print('vanDerPol_h.eps','-depsc')

